<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>修改版本</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="/webpage/include/treeview.jsp" %>
	<script type="text/javascript">
		$(document).ready(function() {

			$('#beginDate').datetimepicker({
				format: "YYYY-MM-DD HH:mm:ss"
			});
			$('#endDate').datetimepicker({
				format: "YYYY-MM-DD HH:mm:ss"
			});
		});
		function save() {
			var selectVersion = $("#selectVersion").val();
			if (selectVersion==null||selectVersion=="") {
				jp.error("请选择您想变更的版本号");
			}else{
				jp.loading();
				jp.post("${ctx}/managementcenter/moduleacquisition/selectVersionSave?version="+encodeURI(encodeURI(selectVersion)),null,function(data){
					if(data.success){
						var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
						parent.layer.close(dialogIndex);
						jp.success(data.msg);
					}else{
						jp.error(data.msg);
					}
				})
			}
		}
	</script>
</head>
<body>

	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
		<div class="panel-body">
			<table class="table table-bordered">
				<tbody>
				<tr>
					<td class="width-15 active"><label class="pull-right">现在使用版本：</label></td>
					<td class="width-35">
						${dicValue}
					</td>
					<td class="width-15 active"><label class="pull-right">选择版本：</label></td>
					<td class="width-35">
						<select id="selectVersion" class="form-control">
							<option value="">请选择版本</option>
							<c:forEach items="${versions}" var="list">
								<option value="${list}">${list}</option>
							</c:forEach>
						</select>
					</td>
				<tr>
				</tr>
				</tbody>
			</table>
		</div>
	</div>
	</div>
</body>
</html>